var app = {
    initialize: function () {
        this.bindEvents();
    },
    bindEvents: function () {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function () {
        app.receivedEvent('deviceready');
    },
    receivedEvent: function (id) {
        app.initializePresentation();
    },
    session: null,
    initializePresentation: function () {
        navigator.presentation.onpresent = function (event) {
            if (event.session) {
                app.session = event.session;
                app.attachToSession();
            }
        };
    },
    timeoutHandle: null,
    attachToSession: function () {
        app.session.onmessage = function (msgJson) {
            // debugger;
            var messageDisplayJsonDecoded = window.atob(msgJson);
            var msgJsonObj = JSON.parse(messageDisplayJsonDecoded);
            switch (msgJsonObj.messageType) {
                case 'html':
                    var appContent = document.querySelector('#appContent');
                    appContent.innerHTML = msgJsonObj.messageContent;
                    break;
                case 'javascript':
                    eval(msgJsonObj.messageContent);
                    break;

                default:
                    debugger;
                    break;
            }
        };
        app.session.onstatechange = function () {
            if (app.session.state == "connected") {
                //     pingElement.setAttribute('style', 'display:block;');
            } else {
                //     pingElement.setAttribute('style', 'display:none;');
            }
        };
    }
};

app.initialize();
